Bug 1792170 - make inkscape to depend on gtk-murrine-engine
Summary: make inkscape to depend on gtk-murrine-engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 31
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 08:17 UTC by Daniel Bristot de Oliveira
Modified: 2020-02-01 01:30 UTC (History)
5 users (show)

Fixed In Version: inkscape-1.0-0.beta.fc31.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-01 01:30:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Bristot de Oliveira 2020-01-17 08:17:16 UTC
Description of problem:

Inkscape complains about:

Gtk-WARNING **: 09:10:03.263: Unable to locate theme engine in module_path: "murrine",


when executed via command line.


Version-Release number of selected component (if applicable):
- Fedora 31
- Inkscape 0.92

How reproducible:
Always


Steps to Reproduce:

[bristot@x1 model]$ inkscape svg/file.svg -E eps/file.eps --export-ignore-filters --export-ps-level=3

(inkscape:10628): Gtk-WARNING **: 09:10:03.263: Unable to locate theme engine in module_path: "murrine",

(inkscape:10628): Gtk-WARNING **: 09:10:03.263: Unable to locate theme engine in module_path: "murrine",

(inkscape:10628): Gtk-WARNING **: 09:10:03.263: Unable to locate theme engine in module_path: "murrine",

(inkscape:10628): Gtk-WARNING **: 09:10:03.263: Unable to locate theme engine in module_path: "murrine",

(inkscape:10628): Gtk-WARNING **: 09:10:03.263: Unable to locate theme engine in module_path: "murrine",

(inkscape:10628): Gtk-WARNING **: 09:10:03.263: Unable to locate theme engine in module_path: "murrine",

(inkscape:10628): Gtk-WARNING **: 09:10:03.264: Unable to locate theme engine in module_path: "murrine",
[bristot@x1 model]$ dnf search murrine
Last metadata expiration check: 2 days, 0:34:07 ago on Wed 15 Jan 2020 08:36:42 AM CET.
========================================== Name & Summary Matched: murrine ===========================================
gtk-murrine-engine.i686 : Murrine GTK2 engine
gtk-murrine-engine.x86_64 : Murrine GTK2 engine
[bristot@x1 model]$ sudo dnf install gtk-murrine-engine
[sudo] password for bristot: 
Last metadata expiration check: 1:43:55 ago on Fri 17 Jan 2020 07:27:08 AM CET.
Dependencies resolved.
======================================================================================================================
 Package                           Architecture          Version                          Repository             Size
======================================================================================================================
Installing:
 gtk-murrine-engine                x86_64                0.98.2-17.fc31                   fedora                133 k

Transaction Summary
======================================================================================================================
Install  1 Package

Total download size: 133 k
Installed size: 455 k
Is this ok [y/N]: y
Downloading Packages:
gtk-murrine-engine-0.98.2-17.fc31.x86_64.rpm                                          619 kB/s | 133 kB     00:00    
----------------------------------------------------------------------------------------------------------------------
Total                                                                                 118 kB/s | 133 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                              1/1 
  Installing       : gtk-murrine-engine-0.98.2-17.fc31.x86_64                                                     1/1 
  Running scriptlet: gtk-murrine-engine-0.98.2-17.fc31.x86_64                                                     1/1 
  Verifying        : gtk-murrine-engine-0.98.2-17.fc31.x86_64                                                     1/1 

Installed:
  gtk-murrine-engine-0.98.2-17.fc31.x86_64                                                                            

Complete!
[bristot@x1 model]$ inkscape svg/file.svg -E eps/file.eps --export-ignore-filters --export-ps-level=3
[bristot@x1 model]$ 

Actual results:
Error messages


Expected results:
No error messages

Additional info:

Comment 1 Gwyn Ciesla 2020-01-17 19:12:24 UTC
Try this build, see if it helps. https://fedorapeople.org/~limb/inkscape/

Comment 2 Fedora Update System 2020-01-31 01:28:53 UTC
inkscape-1.0-0.beta.fc31.4 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d9b0269c6c

Comment 3 Fedora Update System 2020-02-01 01:30:51 UTC
inkscape-1.0-0.beta.fc31.4 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.